var ordi = false, trace = true;
var btnTrace, btnMedia, glissDiam;
var sourceMedia;

function setup() {
  createCanvas(400, 400);
  background(200); 
  glissDiam=createSlider(10,50,20,1);
  btnTrace = createButton("Sans trace"); btnTrace.mousePressed(traceOUpas);
  btnMedia = createButton("Jouer"); btnMedia.mousePressed(jouer);
  glissDiam.position(20,height+10); 
  btnTrace.position(200,height+10); btnMedia.position(300,height+10);
  configMedia();
}

function draw() {
  if (ordi) {actionOrdi(); return;}
  var diam=glissDiam.value();
  if (!trace) {background(200); fill(255,0,0);} 
  else {fill(random(255),random(255),random(255));}
  if (mouseIsPressed || !trace) {ellipse(mouseX, mouseY, diam,diam);}
}

function actionOrdi() {
	var diam=glissDiam.value(); // =16;
	var debut=9, fin=16;
	var milieu=(debut+fin)/2, Px;
	var t = sourceMedia.time();
	if (debut <= t && t <= fin) {
		trace = (t >= milieu);
		fill(255,0,0);
		if (!trace) {background(200);}
		Px = width*(t-debut)/(fin-debut);
		ellipse(Px, Px, diam, diam);
	}
}

function traceOUpas() {
	trace = !trace;
	if (trace) {btnTrace.html("Sans trace");} else {btnTrace.html("Avec trace");}
}

function jouer() {
	btnMedia.hide(); sourceMedia.play();
}

function configMedia() {
	sourceMedia = createAudio('Audio.mp3'); sourceMedia.pause();
	sourceMedia.addCue(0.01, actionMedia, "debut");
	sourceMedia.addCue(16, actionMedia, "sansTrace");
	sourceMedia.addCue(30, actionMedia, "avecTrace");
	sourceMedia.addCue(40, actionMedia, "fin");
}

function actionMedia(item) {
	switch(item) {
		case "debut" : 	background(200); ordi = true; //glissDiam.hide();
						btnTrace.hide(); btnMedia.hide(); break;
		case "sansTrace" : 	ordi = false; trace=false; break;
		case "avecTrace" : 	ordi = false; trace=true; break;
		case "fin" : sourceMedia.stop(); trace=false; traceOUpas();
					 glissDiam.show(); btnTrace.show(); btnMedia.show(); break;
	}
}