var monCanvas, sourceMedia, boutonMedia;
var figGGBchargee = false;
var Qx, Qy;

function setup() {
  monCanvas=createCanvas(540,540); monCanvas.position(10,10); background(230,50);
  integrerMedia();
}

function integrerMedia() { // intégration du média (son, film ou écran)
  var temps=[0.01, 15.95, 26.35, 28.51, 42.88, 48.09, 52.76, 56.34, 
  			 63.78, 80.1, 82.5, 91.7, 96.74, 107.18, 110.63, 113.2, 118.71];
  sourceMedia = createAudio('Commentaire.mp3');
  					
  boutonMedia = createButton("Jouer"); 
  boutonMedia.mousePressed(clicBouton);
  boutonMedia.position(220,555);
  boutonMedia.style("font-size","24pt");
  
  sourceMedia.addCue(temps[0], etape, "depart");
  sourceMedia.addCue(temps[1], etape, "fondBlanc1");
  sourceMedia.addCue(temps[2], etape, "pause1");
  sourceMedia.addCue(temps[3], etape, "fondGrise1");
  sourceMedia.addCue(temps[4], etape, "montrerCercle");
  sourceMedia.addCue(temps[5], etape, "montrerFleche");
  sourceMedia.addCue(temps[6], etape, "pause2");
  sourceMedia.addCue(temps[7], etape, "fondGrise2");
  sourceMedia.addCue(temps[8], etape, "deplacerP");
  sourceMedia.addCue(temps[9], etape, "pause3");
  sourceMedia.addCue(temps[10], etape, "fondGrise3");
  sourceMedia.addCue(temps[11], etape, "cacherP");
  sourceMedia.addCue(temps[12], etape, "deplacerQ");
  sourceMedia.addCue(temps[13], etape, "ramenerQ");
  sourceMedia.addCue(temps[14], etape, "montrerP");
  sourceMedia.addCue(temps[15], etape, "fondBlanc");
  sourceMedia.addCue(temps[16], etape, "reset");
}

function clicBouton() { // ce qui se passe quand on clique sur le bouton
	var enPause = boutonMedia.html()=="Jouer";
	if (enPause) { sourceMedia.play(); boutonMedia.html("Pause"); } 
	        else { sourceMedia.pause(); boutonMedia.html("Jouer");}
}

function etape(val) { // quoi faire au début de chaque chapitre du média
	switch(val) {
		case "depart" : monCanvas.show(); valeurAlpha(0); break;
		case "fondBlanc1" : monCanvas.hide(); break;
		case "pause1" : clicBouton(); break;
		case "fondGrise1" : monCanvas.show(); break;
		case "montrerCercle" : ggbApplet.setVisible("c",true); break;
		case "montrerFleche" : flecheVertH(280, 320, 'rgb(255,0,0)'); break;
		case "pause2" : clicBouton(); monCanvas.hide(); ggbApplet.setVisible("c",false);  
						clear(); background(230,50); break; // background(230);
		case "fondGrise2" : monCanvas.show(); break;
		case "deplacerP" : valeurAlpha(0); break;
		case "pause3" : clicBouton(); monCanvas.hide(); break;
		case "fondGrise3" : monCanvas.show(); break;
		case "cacherP" : ggbApplet.setVisible("P",false); break;
		case "deplacerQ" : Qx=ggbApplet.getXcoord("Q"); Qy=ggbApplet.getYcoord("Q"); placerQvaleur(0); break;
		case "ramenerQ" : ggbApplet.setCoords("Q", Qx, Qy); break;
		case "montrerP" : ggbApplet.setVisible("P",true); break;
		case "fondBlanc" : monCanvas.hide(); break;
		case "reset" : clicBouton(); sourceMedia.stop(); break;
	}
}


function draw() {
  if (!figGGBchargee) {return;}
  var t = sourceMedia.time(), debut, fin;
  debut = 66.74; fin = 69.72;
  if (debut <= t && t <= fin) {valeurAlpha(360.0*(t-debut)/(fin-debut));}
  if (fin <= t && t <= fin+0.1) {valeurAlpha(360.0);}
  debut = 100.45; fin = 102.66;
  if (debut <= t && t <= fin) {placerQvaleur(360.0*(t-debut)/(fin-debut));}
  if (fin <= t && t <= fin+0.1) {placerQvaleur(360.0);}
}

function flecheHorizG(x,y, couleur) {
	fill(couleur);
	beginShape();
	  vertex(x,y);
	  vertex(x-10,y-10);
	  vertex(x-10,y-5);
	  vertex(x-30,y-5);
	  vertex(x-30,y+5);
	  vertex(x-10,y+5);
	  vertex(x-10,y+10);
	  vertex(x,y);
	endShape();
}

function flecheVertH(x,y, couleur) {
	fill(couleur);
	beginShape();
	  vertex(x,y);
	  vertex(x-10,y-10);
	  vertex(x-5,y-10);
	  vertex(x-5,y-30);
	  vertex(x+5,y-30);
	  vertex(x+5,y-10);
	  vertex(x+10,y-10);
	  vertex(x,y);
	endShape();
}